Package org.silverpeas.mobile.client.apps.notifications

## Class NotificationsApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.notifications.NotificationsApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `NavigationEventHandler`, `NotificationsAppEventHandler`, `AppEventHandler`

      public class NotificationsApp
      extends App
      implements NotificationsAppEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotificationsApp​(String instanceId, String contentId, String contentType, String title, String pageTitle)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `void` | `loadUsersAndGroups()` |
    `void` | `sendNotification​(SendNotificationEvent event)` |
    `void` | `setStandAlone​(boolean standAlone)` |
    `void` | `setUserOnly​(boolean userOnly)` |
    `void` | `start()` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setApplicationInstance, setMainPage, setStopLoading, showContent, startWithContent, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationsApp

          public NotificationsApp​(String instanceId,
                                  String contentId,
                                  String contentType,
                                  String title,
                                  String pageTitle)

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### loadUsersAndGroups

          public void loadUsersAndGroups()

    - #### sendNotification

          public void sendNotification​(SendNotificationEvent event)

      Specified by:
        `sendNotification` in interface `NotificationsAppEventHandler`

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`

    - #### setStandAlone

          public void setStandAlone​(boolean standAlone)

    - #### setUserOnly

          public void setUserOnly​(boolean userOnly)